@REM File Name: hdf5check.bat
@REM This batch file is used to test HDF5 Libraries and Tools.
@REM There are 4 options for this batch file:
@REM   1. hdf5check                -- HDF5 tools and c library tests
@REM   2. hdf5check enablecpp      -- HDF5 tools and c/c++ library tests
@REM   3. hdf5check enablefortran  -- HDF5 tools and c/fortran library tests
@REM   4. hdf5check enableall      -- HDF5 tools and c/c++/fortran library tests
@REM By Xuan Bai
@REM Created: Aug. 12, 2004
@REM Last Updated: Aug. 16, 2004

@ECHO OFF
echo install_dll
call install_dll
type nul > check_results.txt
echo ***************************************************************************** >> check_results.txt
echo                         HDF5 c Library Tests -- Release>> check_results.txt
echo ***************************************************************************** >> check_results.txt

cd test
echo hdf5test release
call hdf5test release >> ..\check_results.txt

cd ..\tools
echo. >> ..\check_results.txt
echo testhdf5tools Release
call testhdf5tools Release
more toolstest_release.txt >> ..\check_results.txt
del toolstest_release.txt
cd ..
echo. >> check_results.txt
echo ***************************************************************************** >> check_results.txt
echo                         HDF5 c Library Tests -- Debug >> check_results.txt
echo ***************************************************************************** >> check_results.txt

cd test
echo hdf5test debug
call hdf5test debug >> ..\check_results.txt

cd ..\tools
echo. >> ..\check_results.txt
echo testhdf5tools Debug 
call testhdf5tools Debug
more toolstest_debug.txt >> ..\check_results.txt
del toolstest_debug.txt
cd ..
echo. >> check_results.txt
echo ***************************************************************************** >> check_results.txt
echo                         HDF5 c Library Tests -- Release DLL >> check_results.txt
echo ***************************************************************************** >> check_results.txt

cd test
echo hdf5test release dll
call hdf5test release dll >> ..\check_results.txt

cd ..\tools
echo. >> ..\check_results.txt
echo testhdf5tools Release dll
call testhdf5tools Release dll
more toolstest_releasedll.txt >> ..\check_results.txt
del toolstest_releasedll.txt
cd ..
echo. >> check_results.txt
echo ***************************************************************************** >> check_results.txt
echo                         HDF5 c Library Tests -- Debug DLL >> check_results.txt
echo ***************************************************************************** >> check_results.txt

cd test
echo hdf5test debug dll
call hdf5test debug dll >> ..\check_results.txt

cd ..\tools
echo. >> ..\check_results.txt
echo testhdf5tools Debug dll
call testhdf5tools Debug dll
more toolstest_debugdll.txt >> ..\check_results.txt
del toolstest_debugdll.txt
cd ..

if "%1"=="enablecpp" (
echo. >> check_results.txt
echo install_cppdll
call install_cppdll
cd c++\test
echo ***************************************************************************** >> ..\..\check_results.txt
echo                         HDF5 c++ Library Tests -- Release >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo hdf5cpptest release
call hdf5cpptest release >> ..\..\check_results.txt
echo. >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo                         HDF5 c++ Library Tests -- Debug >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo hdf5cpptest debug
call hdf5cpptest debug >> ..\..\check_results.txt
echo. >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo                         HDF5 c++ Library Tests -- Release DLL >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo hdf5cpptest release dll
call hdf5cpptest release dll >> ..\..\check_results.txt
echo. >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo                         HDF5 c++ Library Tests -- Debug DLL >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo hdf5cpptest debug dll
call hdf5cpptest debug dll >> ..\..\check_results.txt
cd ..\..
)


if "%1"=="enablefortran" (
echo. >> check_results.txt
echo install_f90dll
call install_f90dll
cd fortran\test
echo ***************************************************************************** >> ..\..\check_results.txt
echo                         HDF5 Fortran Library Tests -- Release >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo testhdf5_fortran release
call testhdf5_fortran release >> ..\..\check_results.txt
echo. >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo                         HDF5 Fortran Library Tests -- Debug >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo testhdf5_fortran debug
call testhdf5_fortran debug >> ..\..\check_results.txt
REM echo. >> ..\..\check_results.txt
REM echo ***************************************************************************** >> ..\..\check_results.txt
REM echo                         HDF5 Fortran Library Tests -- Release DLL >> ..\..\check_results.txt
REM echo ***************************************************************************** >> ..\..\check_results.txt
REM echo testhdf5_fortran release dll
REM call testhdf5_fortran release dll >> ..\..\check_results.txt
REM echo. >> ..\..\check_results.txt
REM echo ***************************************************************************** >> ..\..\check_results.txt
REM echo                         HDF5 Fortran Library Tests -- Debug DLL >> ..\..\check_results.txt
REM echo ***************************************************************************** >> ..\..\check_results.txt
REM echo testhdf5_fortran debug dll
REM call testhdf5_fortran debug dll >> ..\..\check_results.txt
cd ..\..
)


if "%1"=="enableall" (
echo. >> check_results.txt
echo install_cppdll
call install_cppdll
cd c++\test
echo ***************************************************************************** >> ..\..\check_results.txt
echo                         HDF5 c++ Library Tests -- Release >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo hdf5cpptest release
call hdf5cpptest release >> ..\..\check_results.txt
echo. >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo                         HDF5 c++ Library Tests -- Debug >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo hdf5cpptest debug
call hdf5cpptest debug >> ..\..\check_results.txt
echo. >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo                         HDF5 c++ Library Tests -- Release DLL >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo hdf5cpptest release dll
call hdf5cpptest release dll >> ..\..\check_results.txt
echo. >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo                         HDF5 c++ Library Tests -- Debug DLL >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo hdf5cpptest debug dll
call hdf5cpptest debug dll >> ..\..\check_results.txt
cd ..\..

echo. >> check_results.txt
echo install_f90dll
call install_f90dll
cd fortran\test
echo ***************************************************************************** >> ..\..\check_results.txt
echo                         HDF5 Fortran Library Tests -- Release >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo testhdf5_fortran release
call testhdf5_fortran release >> ..\..\check_results.txt
echo. >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo                         HDF5 Fortran Library Tests -- Debug >> ..\..\check_results.txt
echo ***************************************************************************** >> ..\..\check_results.txt
echo testhdf5_fortran debug
call testhdf5_fortran debug >> ..\..\check_results.txt
REM echo. >> ..\..\check_results.txt
REM echo ***************************************************************************** >> ..\..\check_results.txt
REM echo                         HDF5 Fortran Library Tests -- Release DLL >> ..\..\check_results.txt
REM echo ***************************************************************************** >> ..\..\check_results.txt
REM echo. >> ..\..\check_results.txt
REM echo testhdf5_fortran release dll
REM call testhdf5_fortran release dll >> ..\..\check_results.txt
REM echo ***************************************************************************** >> ..\..\check_results.txt
REM echo                         HDF5 Fortran Library Tests -- Debug DLL >> ..\..\check_results.txt
REM echo ***************************************************************************** >> ..\..\check_results.txt
REM echo testhdf5_fortran debug dll
REM call testhdf5_fortran debug dll >> ..\..\check_results.txt
cd ..\..
)